// fonts
@mixin font($font_name, $file_name, $weight, $style) {
  @font-face {
    font-display: swap;
    font-family: $font_name;
    font-style: #{$style};
    font-weight: #{$weight};
    src: url('../fonts/#{$file_name}.woff') format('woff'), url('../fonts/#{$file_name}.woff2') format('woff2');
  }
}

// font px to rem
@mixin font-size($font-size, $font-size-default: 16) {
  font-size: $font-size + px;
  font-size: $font-size / $font-size-default + rem;
}

// px to rem
@mixin rem($property, $value) {
  #{$property}: $value + px;
  #{$property}: $value / $font-size-default + rem;
}

// breakpoints
@mixin device-laptop-lg {
  @media (min-width: $device-laptop-lg) { @content; }
}

@mixin device-laptop-max {
  @media (max-width: $device-laptop-max) { @content; }
}
@mixin device-laptop {
  @media (min-width: $device-laptop) { @content; }
}

@mixin device-tablet-max {
  @media (max-width: $device-tablet-max) { @content; }
}
@mixin device-tablet {
  @media (min-width: $device-tablet) { @content; }
}

@mixin device-mobile-max {
  @media (max-width: $device-mobile-max) { @content; }
}
@mixin device-mobile {
  @media (min-width: $device-mobile) { @content; }
}
